## gtktetris 0.6.2-1maemo3

=== Makefile ===
PROGRAM = gtktetris
GETTEXT_PACKAGE = gtktetris
OBJS = misc.o highscore.o tetris.o interface.o
BIN_PATH = $(CURDIR)/usr/bin
HIGHSCORE_PATH = $(CURDIR)/usr/games/gtktetris
GROUP = root
HIGHSCORE_FILE = $(HIGHSCORE_PATH)/highscore.dat
#SIZE = -DBIGGERBLOCKS
SIZE = -DBIGBLOCKS
CC = gcc

CFLAGS = `pkg-config gtk+-2.0 --cflags` -Wall -O2 \
	-DHIGHSCORE_FILE=\"$(HIGHSCORE_FILE)\" $(SIZE) 

LIBS = `pkg-config gtk+-2.0 --libs`

all: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(PROGRAM) $(LIBS)
	strip $(PROGRAM)

clean: 
	rm -f *.o *~ $(PROGRAM)

install:
	mkdir -p $(BIN_PATH)
	mkdir -p $(HIGHSCORE_PATH)
	install -o root -g $(GROUP) $(PROGRAM) $(BIN_PATH)
	if [ ! -f $(HIGHSCORE_FILE) ]; then \
		: > $(HIGHSCORE_FILE); \
	fi
	chown root.$(GROUP) $(HIGHSCORE_FILE)
	chmod 666 $(HIGHSCORE_FILE)
#	ln -s $(BIN_PATH)/$(PROGRAM) /usr/games/bin/tetris
uninstall:
	rm -i $(BIN_PATH)/$(PROGRAM)
	rm -i $(HIGHSCORE_FILE)
	rmdir $(HIGHSCORE_PATH)

dist:
	-cd .. ; tar c gtktetris-0.5 | gzip -9 > gtktetris-0.5.tar.gz

=== debian/changelog ===
gtktetris (0.6.2-1maemo3) fremantle; urgency=low

  * Initial release 

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 19 Apr 2010 03:28:47 +0300

gtktetris (0.6.2-1maemo2) fremantle; urgency=low

  * Initial release 

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 19 Apr 2010 03:24:32 +0300

gtktetris (0.6.2-1maemo1) fremantle; urgency=low

  * Initial release 

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 19 Apr 2010 01:02:51 +0300

=== debian/control ===
Source: gtktetris
Section: unknown
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libgtk2.0-0, libgtk2.0-bin, libgtk2.0-common
Standards-Version: 3.7.2

Package: gtktetris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A tetris clone for Linux with GTK+ interface. 
 For people who appreciate the game for its simplicity and do not care for the bells and whistles of other tetris reincarnations.
XB-Maemo-Display-Name: gtkTetris
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADkAAAA5CAYAAACMGIOFAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEEhYtIHMOCdgAABn8SURBVGjepZtprG3ZUd9/VbX2cKZ77xv9Xk/u
 bjfd2G6DB9wmONgmgAk2BIhkRwqCRCCZTETJp4ASFOwQvkTwIQglYIgSRQrE
 CdjEBgEBg40ZG2MbjGxMu92Te3zjnc7Ze69VlQ/r9Ov3ug0xyZaOrs6+++yz
 /+tf9a9aVXUkIvi/HSIib3sb+uCD6LPn7rwTuf6aB/8HAa+58YOv+egN1z74
 IMFHX8Nf9XjBR1ar4Dff5PCDEV8EAPnLrhER4R0/MWM6sWBztQK0XmlHYWyD
 OTDm7Q0WkPJffLOctotyxP/3cQTwDORjZ4pDPvDO9V8G9guCFBHhO/7dnKc2
 Z1ntdfQLZQRaoG3r35KCFtD59gaH4FnQVN+XEtisAnMVGP+CR/hC59svcM3w
 3NtigmdhHGEjTj7KHPdPxS997/4XBVLe+U7lD3fOUza77JxVlidhc+zkdTA3
 oW3BUqAp6FqwJjg+ElKuQHIKOurf1AvDCEnrA5kKxYN2C2IcoR2/ALgvAHJ8
 9roBykyQuTJdd4/Dy3D54Cq/+q8eez6rN4AUEeGtP3oH/WyXxZmCemVryA7A
 TAVLwbKFmNVzNgmbLNcAsGU7e2BNYJMwUllutwDG64C1LajHC9jO6bkHG8fn
 /vUsg2zPpV5YJuVoBFrj6MIhP/cPHrgeaLoB4Lf80C3Mdk/CvKCuaArcgqYz
 NAIHZgiLGUwFigijAyaMKTBVigejCkWCLkGboAMOj6AA1tYvtyzsrATM8Ukp
 EaxFGCewri7ms0dnMFe5xuqmkWtsHwHDWvAGFJjtrXjLD90GPPwCJuWbvv8E
 3em7OHFeyBTUgqYB3ZqmWb1wr4WdeVR/yELJwiYFJQW9CEzPsWEpONECDVw+
 qovSAvuHQd8J53eDTRY2x4J2Bc/COgttU93g2UMnwbJcu/UITFN9bXL1z/3D
 IKnQzpSjp4T9qw/FL33/M9dAytvfbvBVr6BdLVgsMmULsLO4BnY0Rz3YW8CZ
 OWzWwkEWNhHQbMXoeQ5uWVjN6uc3a+F4eu4h2wZ2e79mgiVVwJaFZrtAzx6b
 CKaNcrQFplYXybMwrIUpVzYrIiWPysXLztUrH43f+Ne5mmu+7xTzEwsWrbAZ
 lbYLxMCoTFqCRVJ0Czo0CBU0lJUFUw8+BvY8vSghhDq6CJIp3b5AA4yBujCG
 sugdOihZKZPStE5TH/fafXZaYUDQvoJkgo56zluhEehbwQ+F40EgC3t9w+75
 m4BHkrz97Ub7teeZaUdQWCUlWmc2A42gtUC7QCMgKrvROdqBHwhO9Y9WucFU
 q7kK7VJInTOaoq4QTpLKwroE5djwFHQitJ0gSYgslC1IS1HN1wSZYG3w7Go2
 JoxZmFpojpVwJQRMBBplsFtF3vmYIW9a8OIzN6PznpSgmQspKZiQTNCktK2S
 WqVLSjLBWkiqCEZBkUYRExAhm6AmYMI8Kc0MIpTNmBCUvlFsDsUNGqHKhSKm
 NA20jRJFoSgSiooQ25eEkietIFTxECIpgVJQSlKsVUoSPBkxGjfbhcRyb0Gm
 YdYksgZmIG01S+sCscAVUhtoBmkF64QZNe5JFjZ5q9UBKlJZT9D3QdPCZjDU
 hdRCk4LelNmucLwRRgsSkFJNMBRoWsGtMtl0DqkyOg5KG4JaMBZBUJoMLUIx
 yA1kgRTKGMYRhuVVYpz3uCXUDLXACdJW+lPyCtagmCMGjRl5dNo+aGZBU4Sj
 jUCpaV8ySJ3TmFe/EqUURVQICaQBB8TBVGkAJ4gA2WqNGTRtEClQUxLgIkgj
 dDPwIttrjUVXhcgPA3dhnYRxENpGKHNhdbRKLHKHpIY8GtEEloRUAlpHJqEJ
 gcbBBYcaF0dlmASdZ7oO+pUggzBZwKb6RJoZeYDjY0Fcqo6UIA/gKRjXhkeQ
 MiRRMiBrQSyYuqDrA8kwrmtKGYMSFuS2kF3Ja6ErwqJzchKOU2KdjakIpasL
 0YtgMk/kK8b85S3uia4VRCDCmVTYSUKThGmv0I3QWNC2QWPBzJz9MNLS6LOj
 osx2IV2FTQIfhM2mxrbWIHVRBSOBFoEcMAeOISJoe0GLYAPoKkjzwvElwRth
 bcGiUZIrpkqeK7NOOFWEjRYuHgtDtJRJGAlolIMDZ6ZGbppEFEE8kSTRiqLh
 aBF6T1x6DJ54ekN7sq5KE2AekIIhCXvzOVzOzGbKJcuc8oYEXOoycZDwtmZM
 XYZSBJkFDCBrg6Vi4qylgAk6Sl2ATmguG1MEw0mnaYNuTFwAnEKeFA6VphEe
 WBSOsrBTOnaWwUAGDImWLgXjJIyeEkUUokGtQcWhD4plxlH44Ac23/yH799/
 MTsxo1PIwKgzTD/E0H/ozoOjH/nuqz6fIxuF6STyomP8lx9DfuaBlw7f+92f
 OlzOsGRonlAxtAPe/Z9ZPxZvavbe+psX+pZmUgRFIqHrz6Pr3/u6c6zv2+VV
 L3uar3rFho/9QcMvPDZ85Z991eUdknXMdUlYJtlH+L3miW9bNNz3+svgAzYs
 mcYenxJiBmIJbxXxhKaGUKf1qOlXUj7z8P4/ROYNj8maThuQhtAF6JP03cf2
 ru5/w710cYkUmdL2dOWQeMevcMhdK/9Hb2V3OqI/GohpQjWhJ3rskU8w/fRD
 jx9+zd9iuf8os498CHZW2Cu+Grn/QVqO7zxBf6tx+0uF+75MuXDY9H9WDr+H
 N8ye4nL3WR5qHNLEWhKPd0y3GdmqVpRQNDVoZwxFoVjCslIwtBiqwhSONglr
 jBOnFu/dn7FLY69GykngTzm2pwn7NEkzNH1m9szn4QN/TKeGfeIhhuGm77yN
 c8eXfup9fzC1A/r1r0FKg33iE/jj+/DhT6PsLFMRZp9/nH64/3tufuZLf/2J
 S489IAef+q5TnH59S5+CR56c8bPva7l4Zbk52R5cvLSvVznqfo5f7i695LE9
 nrw0sbjaMr8zED/BMjnHdERpsEkxFM2aWJqRugTaIDmIJjMTmCjcdtPZd+++
 tuOpi/s/9tQnDm5nSL/ITH/1vm85weKUMv3sVSmP2IWR7t/+zmtH7vr6U5wM
 4e7bBU6lH/nFVynyBxdfee8v5LMNs5/63xx+urzrFtrdwj2//WiUP4qr+xhn
 N8fn3vDA+PH7X36G3b+z4MQSZDB0f8GVCxNFOl6+PHHxt6bDBWe6l3F7+si5
 /QW7A1xZA7LBYoUujWatlOJkr0mMNqKsNZDU0yxaplC0GCINvlam1LD70jk7
 r2rmaOuU+T7zxCu/dcnr3rbi/D26OabbXZG+6xvvP/6Gl/zwAxzf/znm9wgn
 d3ru/hsrbv/rs7GlsQOagzXG6Vf13HTfjLl27NPZRM9t7zm8fZcVvcH5jxUO
 Lre4Jl55z4av+Y59zt47cVc5/14+02XWs6/gpR2P7qzZPT9jcaqjZKNVo4QS
 LkQYbTKWotgoyv4miHGHojvovCP1DVOvNPSsmCFDg41twebO3myHqWO6bBxP
 ymbSZmJ1eqD5gVdz+4/eykv5zCc7rFlRmJOHjqnp7JCZjiyXyoJx0xPTgmh7
 L+xNhQWff+O51pi9+Q1/vLdz5vvg6q/0HBw2HHZLnkknePBwRlxZfvrNhzc9
 wkOdsNPe/ci54Oqh0koHJFYKXQ5mwMKEZZ9odIemdEqXjJYlMpxCy1laP02X
 5+TWGBujaTuSdw1D7wzzBEu0rEjsULr5fGLn8CIn/81PoW/5cda8/p+/Er86
 x4cl+BI2/cw5aQO7Vlhi7BDMGa/MQ9hdGie4/BW3fPhPbjXv2LnzJk7DLxpX
 ntwh9yv2bZf9suLyuucevfk3eKiFvPs67l7xqcMBpydSwmbGctWwWnS0zR6q
 L2LNGXw+V67++VmwJRKGyRxPpyjDOUxOI9MJRl2S82IHTjYcn8oMO7js4Ozg
 hzM9ZjENrP7T0RsXD3/tf/xyVnetkG5GpifrjMTcJnoyqzYzo0jPVGbYNC9H
 rNiwRFYrHvruO9Yj0ixYnnnJgz2b+3uO8oIjZvhmgcgOwepz9z510wUeO7nH
 4uR96y87weZwBysnuDyc5MrROQ42t3A4nWU/L5lYcLR/Uln4HscX76FMt4L2
 hApN35PHPdZHt7JZv5gpnU7053r60z0sKdOcMbcc75tuWKY1c9K8ZfVixeYt
 HnNcemKcUYY2D8yHkXlkOso0Q2IG3XwcWcTEAoaWC68+89sfT5t+RnfiTlZ0
 v554+uE5wYJMR173jCRuidN/wp92a8rul3L3+eZT+3Py8S1Mfpbip5hijltL
 3pxkfflOxoNblEELojN8fSfTpbvJV2/CxyVJG4oakhbQL1vsZrDbEnGOYdwF
 3SFr12SWZObk3GN5QYoFftxBniE6o6TWnV6ceR5pkOhBOmBWlOXk9ETpkd0l
 j/6zO3KiXeywPHn7AzM++/4djmkp1sO0wuwErZ3++Ok/Pzvw5B2nuPnWr+MN
 L+bwUstO6hHpyOwyHN1B2dyN+HmaRhOuDppJKVD2mIY5XBnwOEDZY7nqyN0z
 C4bZgjxraHbJ04KcYZoWSTmZDGEqhdKdIPUTZcyYgaaEa2tG27fMupaO4h1e
 HHJnLTOdMaG0aLRc/Orudz/97ge/7uVXz+WXI5c++1+P+OxbZux6x6OHHf06
 OJKWE7PuiQuPptu5fXYzL2t55reucnB5xvHhinEzJ6IFMTQ5HiWxnIEJhBe8
 yaQGUt8zrVtEb4Nxj+MLukZPKIkdJLE56Di8MHHwZGs9i1PnsH/xlR+8+GsX
 P/iRaWQ40ZM+9McMvO5/vpnE7mKX+cmOveUuS6a8w5QzzbTqV+x2J8mEtEy5
 wbvEn/29O+K1/36xcxft7X/tidVDH/rvA7e9xb/k988+87bfv3dxhVt1xst2
 l8jZPdLemn7OfucMQ6CqdA2UPJCLENog6gmXQK3WclBHIogSWNTt4PHlnqcf
 OdEht3VkXdCd5olHjP0Ue0eXPim73LEzw3/wJZx/V+L1qZC1gf2v4Pjm7/v7
 v3P45m+9Ze8887Mrli+6hVM8zSnG2CD7/albOX/hAiNsjMNLhubE5+4+8/GP
 8Lmv/9vcOV+QHvqj//AoD++86CxnTryO9hWHnF1kTkggGMqGnVqz7M0Jn/DG
 CReSNrVc00RC1FEJVAPRwLRWY8d2QkPYv1DgwD6GHD6NNg8TE0cXGqJtruwv
 b37P7x/ONoeoFsILWTqkK9A2nPy7rzz8mz/58Gee/PkPM3zpjLMf/SSXOZNv
 pi3OM7fYR3+dnac/g3P5wmnWDzZMlxyP2cX3vnbx0M79/VXoT97Ml1z65EeW
 j/MKPsgn8oBsRgZvaaRQ4oBnhH4UJAYsOT4qTqKo4llxQnj1t38br3/rO5jP
 TqPdRKOBtYAVrjzUkNeFsMJwZcNGRmZNz7zr0JmjCEfHIx6KjB3ZJvIG7v+9
 u9i/sEe/l7nzPqEtE+vHlN17lOX5BkkFH+DwYWW4bBwkYUjGIl/lnnsfoKOQ
 9jNk8OKMqcfbBu8HmsnZuJBLQyoNG5y9MyPnzg9IEYYhMXmiZGGajEcfeH9C
 pNYdhMqmaoBAYxP3vuwyq25EeyGZknTC7QiyIFoLVzJCbqGUllGNsQSPP5Fo
 Ti1ZvXhicWpk70UJf5mDBZEnJATpYPflgZSMP6IMzxjz+YZXf/mjnF45kxgT
 QkIpnhhyj+kRe1FYDy1XdE6ZBA9lGoRxVApei+FTwcVQDcIikZpArFbMVQLM
 kXAWssGkMIxGKhn6gY2DSMINWqcujketrMkxJStTnjH6BF6QXEgpIDIRgeRa
 fROkfpc7LgVNHRpKkYKOGR+U49wx5I4ujZAyHiNNFtYK6xA2k1JyEB5QBBNH
 khM4JStqYAFJojKpBCKO4IgEjRVmNkE4kgopjWy8ZiBRlK4bUcm0OoEGIoUg
 6NuMl4IgYLVeZJ1TC49aSysShFzXZULZGgWIokmYNFGkISRRpNDaQBOFttSC
 VxFDcMxqUayY1xqSg0kNhwzVQk1KAt8CFEfVkYDWCilNGCCaAeEoLylti4RT
 pGEIRcLpbSBCEIUQQcMRKagJZoGZgygigQh1Aa474tnzCqqG05AlkdqMNo4U
 R0owSxOSlTESGcO0RgHZfrhIre8SjskEFngtASbEY8umV6UFVHN9b2ASlPo4
 GI7hpDQyeiIJiBUIQUWYSAzREqaI1dKmpVqLLfgNpf/n2mlUXQjwXDAZSSKo
 OyYFLNNIrv7Vtmw2HRg0xXGpVQyAUMEt8CI4RrVPA5OEttWONYGyjZnh2+aJ
 IwLaZrphg3ugTdmaWdDYhHpU4w9BDLwLUFAFTY6p1IKqBLEFdf2hIqiAB1AK
 89kBi3ZgmhpEChCow6gNG+9wEzobEXGK1GaRmzK6EWK4KiQhCoQGJp4YzWkt
 kFTNRq2qK+JIlOpzDr2tGVMQYRDGXNfM0oDmIBAiOZRqBYkKPLWFZOCxfVgR
 4oXN7m2leVtgNsdsYgwBU8ITZUxspo5RldSOpBJkUyoXCpJpU6aUhiwNWBU3
 i6n6pEggujVVKYiCq+KmWBq2K+108w0NGXcjmdM3YzUzVQTf9iYMsfrQYk7T
 OKgTHtfM8vlMIoGZEjjuwWacI9YweoOE4kUrOw4tE2pOjkQpNVsrJngIaNWR
 BihDqibtTqMlbf2iho/6ckSFMVr6Zk2KCdEq+Y0NmDnmQEB47RSLBuuxpUSq
 QqJg6qQ2KDixNUsX5/lUSlAXJmo4CGvJ0pBJ6LYfJBoky6hnsiccQWSrqAKo
 UFyQcBIZRYAg1HGJba87vIILx8IxCTyUYerougmzggZVpKxWwkUDm6o6HpeO
 dZ4hXZDi2aTCaVsnpNTEIarCvsBcNZDG8ajhS5JS3cqfW4gM1hTEICah0Qwa
 aBbEjRrAahvDpKCqIFQL0kjIVNvlgm+Tga3aqpB9xnHAUo8wyZXFCCTqNdEo
 62HGpsyr2WqhnYwSBU1O6rdteJf6GcC3JhuyNVWH0FLNOYyM0EtVcrYuh4Ca
 Ix4kzZgFY640qgYuhohhCh4VR05R43xEqs2dAlECkm/9E2T7xVPpOBqEYiNt
 GrfiDB7G6A2TNpBqdwoNRh2JvsbJoysKmoiQaqbbJMCjRstwCJw8GWSve1uc
 ZLWtUFtcXBNCswkToaCkRhER8iSo1i5XmCOTo+6IKzmAVBKenIYjKLtEKhBV
 APCquOpBScZGO4axxahMWKqtOjEHCsUdxTFVrChXLgsPXzI8KhVOjYVUHHiB
 2PYzkyj7R4X5yTpSE+LEdQolISAFTRM+CSU3eBEo0KVMcSUmECZcq9mbB6Uk
 yjQkcqzpWYOucTFw3/rI1lq0mqZszbjGtqi+BjVvdHAraARqE7PZAXLhUhUy
 INzRCMJBRDFRYtuQNDeyB4teWO3tE6kgLlwfbCJqshLZ0SgkGxEML0aZEpSp
 bh6iEFRh8m266XEl0ZUjSoEkE2BEEaIIdKU6b1CVL9eGrG79Khwk1V6kS11V
 8yAM3vKtn4LhQaRMqA507QSl5jyj9Iy5Rxut93KIyREzTDJtAi/PGxOjikho
 IaS6k3kQ4YhnkjR4GJ6NYWrIbkQo2RXKM4lULjJRkDFIOtUkPdc2mgs1SPvW
 XzzqNokq+Q6Eaj1fgkhVmE4tC+ysmelVlu0BxHYoKgeZAw5YMukSy1xjtDIm
 5Kk2ZG9UYNCSichMuaVIixCED8CEo5SSmGLb7ZaJ7AWVhkEfSvzmx57ijW/a
 QLtBNiOzWY2JkRvcW3IyVOoMjxOEVtdSlbp98oK4193FJLg5XhQxp9ia4+Ng
 yDMmn5F0w9wOSYwM24murSJdh8irUF3P5LSd0dku9DQoRYSGjGgwblpyNsQd
 Yqz3tAaGi0xnH9OIP5wYpg9t292lNkuOR1I+pNV9PG8oQ1BGiKlKtG/FSSKj
 MRKR0SiY5Hqde429YZTSME49G5mx9pachchOjE5xp5R43murute9ijslG3ls
 EMk0zTGJNRqFvGnIa8NdcS9QBsYNDGPi+Ph98Z63bTOeS+OHWcg30XrDRiYa
 ESwHXR5p1CmxwHNCFEquCbdHpolCKUaWGnxrIHZySUQxkjYkCiobbHKSDkwq
 jBgToCXAn5/mVf+7YTtmkEOZhg7VCaIQEQxjYhpbXJQSUIoS41AtSo65eOlX
 bpyte+d73kA3+3boRxad0HhQmswigWtL1gXWaPVHhUQmNU4ZE0WlxrMCXao+
 MuaEyoZFe0CKgnsNN8U7jvIC154U4H4jStEXbseCKmwRQVBNNgPhRslGcSOy
 1WnOcYAR9v3H413ffP8LR0Hf9YF/jNpraeOImTi2ctRKDQPNDmJtbbmrVNas
 BnLZ1oUoQpJMUPeWqNN6JsmA2HZqw2e4NKi+kLFroPR55G7XIRzclQjBvSYV
 uUBMRsl1Zi9G8Kvvj3/59p95wSgoAJ9//Ce5+ZabGeU2XC8z31SGxJxEqaGF
 7b7R6iiaRxWcGj9rMv7sTJ25MuSeUVrcaj1Ut6bt7ohLVXC9QXd4gbxuQbrX
 kBYEJeoYi5fAi5ND8LVS2vvjB54D+BdNLifKq99B178KHQ9pRWhTEH2PxwKx
 urFGvSbu4hW8S2UnpDZDVba7AVAEj1qqCN2mkRJoCC6xDcbXMfk8dUXkOaAE
 4cIU1XK81OFDcmLgf8UPvuW/fdGD9vLDP/81YN+IaFdH4LoObFGT9yTXKnVi
 tequUe2sIIRSdwyFbWmEa1ss0aB4oLKdm6vZxg2kxfP8Urdbu8qkULxORkPd
 w/p0ldH/S7zrm373r/5rgn/6Yx2nTr4RnX012r0ISQtUHRrQ7Wo/m+o9m3Bf
 H8Drlm8b6L/wV3xRPknU1CtCqj9STTVkn2n4BZ584tfiJ94x/T/9ZOKG0e3v
 /NGbmDe34/kM1jVgu9cp4rO/IHjeKGjZ/m+7D/xij2IvPFeLYRegQMmPE/JY
 /PQ/efyLud3/ATyb796CklMwAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/gtktetris.sgml > gtktetris.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gtktetris.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gtktetris install
	cp $(CURDIR)/gtktetris $(CURDIR)/debian/gtktetris/usr/bin/
	mkdir -p $(CURDIR)/debian/gtktetris/usr/share/pixmaps/
	cp $(CURDIR)/gtktetris.png $(CURDIR)/debian/gtktetris/usr/share/pixmaps/
	cp $(CURDIR)/gtktetris.desktop $(CURDIR)/debian/gtktetris/usr/share/applications/hildon/
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
